### append_t

Completion token type used to specify that the completion handler arguments should be passed additional values after the results of the operation.

    template<
        typename CompletionToken,
        typename... Values>
    class append_t

##### Member Functions

Name | Description
--- | ---
append_t [constructor] | Constructor.

##### Data Members

Name | Description
--- | ---
token_ |
values_ |

##### Requirements

Header: `asio/append.hpp`

Convenience header: `asio.hpp`